Get list of earn providers
Get list of earn providers.
GET
/
earn
/
providers
TypeScript
const response: Promise<FireblocksResponse<GetProvidersResponse>> = fireblocks.earn.getEarnProviders(earnApiGetEarnProvidersRequest);CompletableFuture<ApiResponse<GetProvidersResponse>> response = fireblocks.earn().getEarnProviders(pageCursor, pageSize, sortBy, order);response = fireblocks.earn.get_earn_providers(page_cursor, page_size, sort_by, order);curl --request GET \
--url https://api.fireblocks.io/v1/earn/providersconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/earn/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"providerId": "MORPHO",
"displayName": "Morpho",
"logoUrl": "https://cdn.example.com/morpho.svg",
"supportedChainIds": [
1,
8453
],
"isTermsApprovalRequired": true,
"termsOfServiceUrl": "https://example.com/morpho/tos",
"isTermsOfServiceApproved": false
}
],
"total": 1,
"next": "",
"prev": ""
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Query Parameters
Cursor for the next or previous page of results.
Number of items per page.
Required range:
1 <= x <= 100Field to sort results by.
Sort order (ASC or DESC).
Available options:
ASC, DESC Example:
"ASC"
Response
OK
Page of integrated lending providers.
Show child attributes
Show child attributes
Example:
[
{
"providerId": "MORPHO",
"displayName": "Morpho",
"logoUrl": "https://cdn.example.com/morpho.svg",
"supportedChainIds": [1, 8453],
"isTermsApprovalRequired": true,
"termsOfServiceUrl": "https://example.com/morpho/tos",
"isTermsOfServiceApproved": false
}
]
Total number of items matching the query.
Example:
1
Opaque cursor for the next page; empty when there is no next page.
Example:
""
Opaque cursor for the previous page; empty when there is no previous page.
Example:
""
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<GetProvidersResponse>> = fireblocks.earn.getEarnProviders(earnApiGetEarnProvidersRequest);CompletableFuture<ApiResponse<GetProvidersResponse>> response = fireblocks.earn().getEarnProviders(pageCursor, pageSize, sortBy, order);response = fireblocks.earn.get_earn_providers(page_cursor, page_size, sort_by, order);